%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}


%define lib_name_orig %mklibname quanta
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

Summary:	A web editor for the KDE Desktop Environment
Name:		quanta
Version:    3.1.3
Release:    6mdk
License:	GPL
Epoch:		1

Source:     %name-%version.tar.bz2


Group:		Graphical desktop/KDE
URL:		http://quanta.sourceforge.net/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:  pam
BuildRequires:  diffutils
BuildRequires:	texinfo gettext 

%if %buildfor9_2
BuildRequires:  jpeg-devel
BuildRequires:	png-devel
BuildRequires:  arts-devel
%else
BuildRequires:  libjpeg62-devel
BuildRequires:	libarts-devel
BuildRequires:	libpng3-devel
%endif


BuildRequires:  kdelibs-devel gcc-c++ 
BuildRequires:	freetype2 

Requires:		kdelibs >= 30000000:3.1.2

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2
BuildRequires: automake1.7
%endif



%description
A html editor for the K Desktop Environment.

%package kommander
Summary:	Kommander
Group:		Graphical desktop/KDE
Provides:	kommander
Requires:	quanta = %version-%release
Requires:	%lib_name = %version-%release

%description kommander
Kommander programm


%package -n %lib_name
Summary:    Library for quanta
Group:      Development/KDE and Qt

%description -n %lib_name
Library files for quanta.


%package -n %lib_name-devel
Summary:    Development library for quanta
Group:      Development/KDE and Qt

Obsoletes:	quanta-devel
Provides:	quanta-devel = %version-%release
Requires:	%lib_name = %version-%release

%description -n %lib_name-devel
Development library files for quanta.



%prep

%setup -q -n %name-%version

%build
%if %buildfor9_2 || %buildfor9_1
#make -f admin/Makefile.common cvs
%endif

%{?__cputoolize: %{__cputoolize} }
CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
				   --enable-final \
			       --disable-debug 
		       

%make

%install
rm -fr %buildroot

make install DESTDIR=%buildroot

# Create LMDK menu structure
mkdir -p $RPM_BUILD_ROOT/%_menudir/


mkdir -p $RPM_BUILD_ROOT/%_datadir/applnk/Office
install -m 0644 $RPM_BUILD_DIR/%name-%version/quanta/quanta.desktop $RPM_BUILD_ROOT/%_datadir/applnk/Office/quanta.desktop

kdedesktop2mdkmenu.pl quanta Networking/WWW $RPM_BUILD_ROOT/%_datadir/applnk/Office/quanta.desktop $RPM_BUILD_ROOT/%_menudir/quanta

kdedesktop2mdkmenu.pl quanta Applications/Editors $RPM_BUILD_ROOT/%_datadir/applnk/Editors/kmdr-editor.desktop $RPM_BUILD_ROOT/%_menudir/quanta-kmdr-editor



#laurent Sat 16 2001 remove fr local (exists in kde-i18n)
rm -rf $RPM_BUILD_ROOT/%_datadir/locale/fr

%find_lang %name



%clean
rm -rf $RPM_BUILD_ROOT

%files kommander
%defattr(-,root,root)
%_bindir/kmdr-editor
%_bindir/kmdr-executor
%_menudir/quanta-kmdr-editor


%files -f %name.lang
%defattr(-,root,root)

%_bindir/quanta

%_datadir/applnk/Office/quanta.desktop
%_datadir/applnk/Development/quanta.desktop 
%_datadir/applnk/Applications/*.desktop
%_datadir/applnk/Editors/*.desktop

#
%dir %_datadir/apps/quanta/
%_datadir/apps/quanta/*.rc
%_datadir/apps/quanta/chars
#
%dir %_datadir/apps/quanta/tags/
%dir %_datadir/apps/quanta/tags/html/
%_datadir/apps/quanta/tags/html/*.tag
%_datadir/apps/quanta/tags/html/*.rc
%dir %_datadir/apps/quanta/tags/tagxml/
%_datadir/apps/quanta/tags/tagxml/*.tag
#
%dir %_datadir/apps/quanta/tags/docbook-4.2/
%_datadir/apps/quanta/tags/docbook-4.2/*.tag
%_datadir/apps/quanta/tags/docbook-4.2/*.rc

%dir %_datadir/apps/quanta/tags/php/
%_datadir/apps/quanta/tags/php/*.tag
%_datadir/apps/quanta/tags/php/*.rc
%dir %_datadir/apps/quanta/tags/tagxml/
%_datadir/apps/quanta/tags/tagxml/*.rc
%dir %_datadir/apps/quanta/tags/tagxslt/
%_datadir/apps/quanta/tags/tagxslt/*.rc
%dir %_datadir/apps/quanta/tags/xhtml/
%_datadir/apps/quanta/tags/xhtml/*.tag
%_datadir/apps/quanta/tags/xhtml/*.rc

%dir %_datadir/apps/quanta/tags/xhtml-strict/
%_datadir/apps/quanta/tags/xhtml-strict/*.tag
%_datadir/apps/quanta/tags/xhtml-strict/*.rc

%dir %_datadir/apps/quanta/tags/html-frameset/
%_datadir/apps/quanta/tags/html-frameset/*.rc

%dir %_datadir/apps/quanta/tags/html-strict/
%_datadir/apps/quanta/tags/html-strict/*.rc

%dir %_datadir/apps/quanta/tags/tagxslt/
%_datadir/apps/quanta/tags/tagxslt/*.tag

%dir %_datadir/apps/quanta/tags/wml-1-2/
%_datadir/apps/quanta/tags/wml-1-2/*.rc
%_datadir/apps/quanta/tags/wml-1-2/*.tag



%dir %_datadir/apps/quanta/toolbar/  
%_datadir/apps/quanta/toolbar/*.png

%dir %_datadir/apps/quanta/toolbars/wml-1-2/
%_datadir/apps/quanta/toolbars/wml-1-2/*.tgz
%dir %_datadir/apps/quanta/toolbars/tagxml/
%_datadir/apps/quanta/toolbars/tagxml/*.tgz

%dir %_datadir/apps/quanta/toolbars/xml/
%_datadir/apps/quanta/toolbars/xml/*.tgz

%dir %_datadir/apps/quanta/doc/
%doc %_datadir/apps/quanta/doc/*
#
%dir %_datadir/apps/quanta/templates/
%dir %_datadir/apps/quanta/templates/binaries/
%_datadir/apps/quanta/templates/binaries/.*
%dir %_datadir/apps/quanta/templates/binaries/images/

%dir %_datadir/apps/quanta/templates/binaries/images/jpg/
%_datadir/apps/quanta/templates/binaries/images/jpg/*

%dir %_datadir/apps/quanta/templates/binaries/images/png/
%_datadir/apps/quanta/templates/binaries/images/png/*

%dir %_datadir/apps/quanta/templates/binaries/others/
%_datadir/apps/quanta/templates/binaries/others/*.jpg
%_datadir/apps/quanta/templates/binaries/others/*.tif

%dir %_datadir/apps/quanta/templates/documents/
%_datadir/apps/quanta/templates/documents/.*

%dir %_datadir/apps/quanta/templates/documents/html/
%_datadir/apps/quanta/templates/documents/html/*

%dir %_datadir/apps/quanta/templates/documents/others/
%_datadir/apps/quanta/templates/documents/others/*

%dir %_datadir/apps/quanta/templates/documents/scripts/
%_datadir/apps/quanta/templates/documents/scripts/*

%dir %_datadir/apps/quanta/templates/images/
%_datadir/apps/quanta/templates/images/.*

%dir %_datadir/apps/quanta/templates/images/jpg/
%_datadir/apps/quanta/templates/images/jpg/*.jpg

%dir %_datadir/apps/quanta/templates/images/others/
%_datadir/apps/quanta/templates/images/others/*

%dir %_datadir/apps/quanta/templates/images/png/
%_datadir/apps/quanta/templates/images/png/*

%dir %_datadir/apps/quanta/templates/text/
%_datadir/apps/quanta/templates/text/.*

%dir %_datadir/apps/quanta/templates/text/html/
%_datadir/apps/quanta/templates/text/html/*

%dir %_datadir/apps/quanta/templates/text/others/
%_datadir/apps/quanta/templates/text/others/*

%dir %_datadir/apps/quanta/templates/text/scripts/
%_datadir/apps/quanta/templates/text/scripts/*

%dir %_datadir/apps/quanta/toolbars/
%_datadir/apps/quanta/toolbars/*.tgz
%dir %_datadir/apps/quanta/toolbars/html/
%_datadir/apps/quanta/toolbars/html/*.tgz



#
%dir %_libdir/quanta
%dir %_libdir/quanta/plugins/
%_libdir/quanta/plugins/weblint

%_menudir/quanta  

%_iconsdir/hicolor/16x16/apps/*.png
%_iconsdir/hicolor/22x22/apps/*.png
%_iconsdir/hicolor/32x32/apps/*.png
%_iconsdir/hicolor/48x48/apps/*.png

%dir %_iconsdir/locolor/16x16/apps/kmdr/
%_iconsdir/locolor/16x16/apps/kmdr/*.png
%_iconsdir/locolor/32x32/apps/kmdr/*.png


%dir %_docdir/HTML/en/quanta/
%doc %_docdir/HTML/en/quanta/*.docbook
%doc %_docdir/HTML/en/quanta/*.bz2
%doc %_docdir/HTML/en/quanta/*.png


%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/libkommanderwidgets.so

%files -n %lib_name
%defattr(-,root,root)
%_libdir/libkommanderwidgets.la
%_libdir/libkommanderwidgets.so.*


%post
%{update_menus}

%postun
%{clean_menus}

%post kommander
%{update_menus}

%postun kommander
%{clean_menus}


%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%changelog
* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix spec file

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Minor fix

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Rebuild

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update code

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Fix spec file

* Wed Apr 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Update code from branch

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Wed Mar 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-19mdk
- Lot of fix :
"Bring up the "File Changed" dialog only, when the file content has changed. #55678"
Fix bugs #53230.
"Multiuser fix for some systems (backport)."

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-18mdk
- Add patch3 : 'Fix CTRL-H (Context Help) behavior. (backport)'

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Add patch2 : fix from branch"Action dialog fixes;  fix crash when Tag Edit Dialog was requested for an unknown tag action."

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Update code 

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Update code 

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Update code 

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Update code

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- Update

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Update code ( fix link )

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- update code

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code 

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code 

* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code 

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code 

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code from quanta_3_1_branch ( fix refresh tree )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code from quanta_3_1_branch

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code

* Wed Jan 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- 3.1-rc2

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- 3.0

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.pre1.2mdk
- Rebuild against gcc3.2

* Thu Aug 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.pre1.1mdk
- 3.0 pre1

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-0.20020710.2mdk
- Rebuild against gcc-3.2

* Thu Jul 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-0.20020710.1mdk
- Update code use source from Marcel Pol <mpol@gmx.net>

* Wed May 29 2002 Marcel Pol <mpol@gmx.net> 2.0.2-0.20020526.1mdk
- Taken from cvs at kde.org
- Changelog says 2.0.2 was released at 20020109,
  but the "About quanta" still gives 2.0.2

* Sat Mar 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-2mdk
- Add patch1 : Fix php syntax patch from Mike Eheler <meheler@canada.com>

* Fri Feb 15 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.8mdk
- Rebuild against libpng3

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.7mdk
- Rebuild with new kdelibs

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.6mdk
- Rebuild with new kdelibs

* Wed Aug 29 2001 Pixel <pixel@mandrakesoft.com> 2.1-0.20010414.5mdk
- makes it own /usr/lib/quanta

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.1-0.20010414.4mdk
- BuildRequires:	fam-devel
- BuildRequires:	libpng-devel
- Removed BuildRequires:	Mesa-common
- Removed BuildRequires:	XFree86-libs
- Removed BuildRequires:	db3
- Removed BuildRequires:	file
- Removed BuildRequires:	gcc-cpp
- Removed BuildRequires:	kdelibs
- Removed BuildRequires:	kdesupport-devel
- Removed BuildRequires:	libbinutils2
- Removed BuildRequires:	libbzip2_1
- Removed BuildRequires:	libjpeg62
- Removed BuildRequires:	libmng1
- Removed BuildRequires:	libpng2
- Removed BuildRequires:	libqt2
- Removed BuildRequires:	libqt2-devel
- Removed BuildRequires:	libtermcap2
- Removed BuildRequires:	m4
- Removed BuildRequires:	openssl
- Removed BuildRequires:	readline
- Removed BuildRequires:	zlib1

* Sat Jun 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.3mdk
- remove french po file (this file is in kde-i18n-fr)

* Wed Apr 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.2mdk
- Recompile with kde2.2alpha1

* Sat Apr 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.1mdk
- Update to quanta pr2

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010329.3mdk
- Move KDE menu entry in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010329.2mdk
- Fix BuildRequires for non %%ix86 architectures

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010329.1mdk
- Update code
- Add build requires

* Tue Mar 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010313.1mdk
- Update code
- Rebuild with qt2.3

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010226.1mdk
- Update code
- Build with kde2.1

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010213.1mdk
- Update code
- Build for version > 2.1beta2

* Tue Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010116.1mdk
- Updated code

* Mon Jan 01 2001 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20010101.1mdk
- Code update

* Fri Dec 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001228.1mdk
- Code update

* Sun Dec 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001224.1mdk
- Code update

* Tue Dec 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001219.1mdk
- Code update

* Wed Dec 13 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001213.1mdk
- Code update

* Mon Dec 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001211.1mdk
- Code update

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001204.1mdk
- Code update

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Code update

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Recompile for gcc 2.96

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Recompile for 7.2 Update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Recompile for gcc 2.96

* Tue Nov 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Code update to incorporate some rather large improvements from Quanta team

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Code update to KDE 2.0 Release 

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Code update to KDE 2.0 Release Candidate 1

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 1.94-6mdk
- Fix menu entry
- Use optimizations
- Use macros
- Don't %%update_menus && %%clean_menus in %%postun

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Code update

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Code update

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Code update

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Code update

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- First build for MandrakeSoft
